commit: cd4f78d9dd9a779e7388306f6b322a2a9e232a14
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Mon Mar 31 06:44:31 2025 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Mon Mar 31 07:10:16 2025 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=cd4f78d9
dev-python/pytest-testinfra: Bump to 10.2.2
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/pytest-testinfra/Manifest | 1 +
.../pytest-testinfra-10.2.2.ebuild | 55 ++++++++++++++++++++++
2 files changed, 56 insertions(+)
diff --git a/dev-python/pytest-testinfra/Manifest
b/dev-python/pytest-testinfra/Manifest
index 77c7d8f797c6..e04113595964 100644
--- a/dev-python/pytest-testinfra/Manifest
+++ b/dev-python/pytest-testinfra/Manifest
@@ -1,2 +1,3 @@
DIST pytest-testinfra-10.1.1.tar.gz 86567 BLAKE2B
b9dd9ea4023b1b7d9399615fbf6493efb094ec7f2478f65b46118173f6b20f545b645d06f20b42544325d68a917812a55f902ca28774b8ffb8743ac8182c3970
SHA512
6173937b03eaefb84a95b6fca616092ea0649f880fd1bccef6364f338b859bda8d09d706b517625b81cff4f663ababa766dac82d4d094c38683d9b170909f6c9
DIST pytest-testinfra-10.2.1.gh.tar.gz 84124 BLAKE2B
3a967f22da4da4cd03f41e4d38ce0d1c5b62852ba8c18ab448db3c92fce740b48528dc45408187d6eae9f755c1eed55dc262c25b9ca1e8b70b6825ae1688e9ea
SHA512
d36e7d7cae1da82a947c60be762562ed14d94f1d20c3173798226bb443b18cf96dbe09d54797d744328370b947f3ee8e3c9742548369f8ddd3a1e9152d07aed8
+DIST pytest_testinfra-10.2.2.tar.gz 76153 BLAKE2B
85d25268eacbdbf97fcbfdd32cea92228475a76cc057cd633fd096375a1e5397f31628cffed1cafcbb41ef5f29ef5ea55f5134c3455d562e3d644006a897b706
SHA512
bcbc4d60bfbc030d0ca37f710c3b300890f18275830e0e7758bbceee3eb37ed020b9053e32ece1f5ce0be6cb341adff87e2842dabb2100280f4ec8f4acec1113
diff --git a/dev-python/pytest-testinfra/pytest-testinfra-10.2.2.ebuild
b/dev-python/pytest-testinfra/pytest-testinfra-10.2.2.ebuild
new file mode 100644
index 000000000000..9e96c37df84f
--- /dev/null
+++ b/dev-python/pytest-testinfra/pytest-testinfra-10.2.2.ebuild
@@ -0,0 +1,55 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( python3_{10..13} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Write unit tests in Python to test actual state of your servers"
+HOMEPAGE="
+ https://github.com/pytest-dev/pytest-testinfra/
+ https://pypi.org/project/pytest-testinfra/
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~riscv"
+
+RDEPEND="
+ dev-python/pytest[${PYTHON_USEDEP}]
+"
+# Ansible is called via its CLI
+BDEPEND="
+ dev-python/setuptools-scm[${PYTHON_USEDEP}]
+ test? (
+ app-admin/ansible
+ dev-python/paramiko[${PYTHON_USEDEP}]
+ dev-python/pywinrm[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+export SETUPTOOLS_SCM_PRETEND_VERSION=${PV}
+
+python_test() {
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ local -x EPYTEST_DESELECT=()
+
+ # This is the only test which actually fails if salt cannot be imported
+ if ! has_version "dev-python/salt[${PYTHON_USEDEP}]"; then
+ EPYTEST_DESELECT+=(
+ test/test_backends.py::test_backend_importables
+ )
+ fi
+
+ epytest
+}
+
+pkg_postinst() {
+ elog "For the list of available connection back-ends and their
dependencies,"
+ elog "please consult
https://testinfra.readthedocs.io/en/latest/backends.html"
+}